package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.ProductPSResourceAllocationRequestDto;
import com.ikon.projectmanagement.dto.response.ProductPSResourceAllocationResponseDto;

import java.util.List;
import java.util.UUID;

public interface ProductResourceAllocationService {

    List<ProductPSResourceAllocationResponseDto> getResourceAllocations(UUID productIdentifier);

    ProductPSResourceAllocationResponseDto getResourceAllocation(UUID productIdentifier, UUID allocationIdentifier);

    ProductPSResourceAllocationResponseDto createResourceAllocation(UUID productIdentifier, ProductPSResourceAllocationRequestDto dto);

    ProductPSResourceAllocationResponseDto updateResourceAllocation(UUID productIdentifier, UUID allocationIdentifier, ProductPSResourceAllocationRequestDto dto);

    void deleteResourceAllocation(UUID productIdentifier, UUID allocationIdentifier);
}
